package provide GEOplot 1.0

# THIS procedure reads in the option file

proc GraphicsUp { } {
   global pgmOPTS env GphInfo

   set bT [list $pgmOPTS(BegYr) $pgmOPTS(BegDy) $pgmOPTS(BegHr) \
                $pgmOPTS(BegMn) $pgmOPTS(BegSc) 0] 
   set eT [list $pgmOPTS(EndYr) $pgmOPTS(EndDy) $pgmOPTS(EndHr) \
                $pgmOPTS(EndMn) $pgmOPTS(EndSc) 0] 

   set sX [winfo screenwidth .]
   set sY [winfo screenheight .]
                                                                                
   set GphInfo(xScrL) [expr int($sY * 0.75)]
   set GphInfo(yScrL) [expr int($sY * 0.75)]

   GraphicsOn TK $pgmOPTS(CtBl) $pgmOPTS(ScrBgnd) 

   MapWinLimits X Y
   GenWindow A 0.0 0.0 0.0 1.0 1.0 1.0 0.0 0.0 0.0 1. 1. 1.
   SqWindow B 0.0 0.0 0.0 1.0 0.0 0.0 0.0 1. 1. 1.
   if { $pgmOPTS(nPlots) == 1 } {
      SqWindow 0 .35 .54 0. .45  $X(0) $Y(0) 0. $X(1) $Y(1) 0.
      GenWindow 1 0.15 .1 0. .8 .5 0. $pgmOPTS(BegX) $pgmOPTS(P0Min) 0. \
                                      $pgmOPTS(EndX) $pgmOPTS(P0Max) 0.
       
      SetAxis 1 PRIMARY HOLD HOLD HOLD HOLD HOLD HOLD HOLD $pgmOPTS(P0Sca) HOLD
      if { $pgmOPTS(Parm1) > 0 } {
          SetAxis 1 SECONDARY HOLD $pgmOPTS(P1Min) HOLD HOLD $pgmOPTS(P1Max) \
                              HOLD  HOLD $pgmOPTS(P1Sca) HOLD
      }
      DefinePlot 0 0
      DefinePlot 1 1 X $bT $eT
   } else {
      SqWindow 0 .35 .64 0. .35  $X(0) $Y(0) 0. $X(1) $Y(1) 0.
      GenWindow 1 0.15 .36 0. .8 .6  0. $pgmOPTS(BegX) $pgmOPTS(P0Min) 0. \
                                        $pgmOPTS(EndX) $pgmOPTS(P0Max) 0.
      GenWindow 2 0.15 .07 0. .8 .31  0. $pgmOPTS(BegX) $pgmOPTS(P2Min) 0. \
                                        $pgmOPTS(EndX) $pgmOPTS(P2Max) 0.

      SetAxis 1 PRIMARY HOLD HOLD HOLD HOLD HOLD HOLD HOLD $pgmOPTS(P0Sca) HOLD
      if { $pgmOPTS(Parm1) > 0 } {
          SetAxis 1 SECONDARY HOLD $pgmOPTS(P1Min) HOLD HOLD $pgmOPTS(P1Max) \
                              HOLD  HOLD $pgmOPTS(P1Sca) HOLD
      }
      SetAxis 2 PRIMARY HOLD HOLD HOLD HOLD HOLD HOLD HOLD $pgmOPTS(P2Sca) HOLD
      if { $pgmOPTS(Parm3) > 0 } {
          SetAxis 2 SECONDARY HOLD $pgmOPTS(P3Min) HOLD HOLD $pgmOPTS(P3Max) \
                              HOLD  HOLD $pgmOPTS(P3Sca) HOLD
      }

      DefinePlot 0 0
      DefinePlot 1 1 X $bT $eT
      DefinePlot 2 2 X $bT $eT
   }
}
