package provide GEOplot 1.0

# THIS procedure reads in the option file

proc ProcessOA { nP } {
   global pgmOPTS RtoD OATm OALong OALat gOA

   if { $nP == 0 } { return }

   if [string match MAGNETIC $pgmOPTS(GEOCoSyS)] {
      for { set I 0 } { $I < $nP } { incr I } {
         set V $OALong($I)
         if { $V > 12.0 } { set V [expr $V - 24.0] }
         set OALong($I) [expr 180.0 * $V / 12.0]
      }
   } else {
      for { set I 0 } { $I < $nP } { incr I } {
         set V $OALong($I)
         if { $V > 180.0 } { set V [expr $V - 360.0] }
         set OALong($I) $V
      }
   }

   GridSets gOA 2D
   set gOA(0) $OATm(0) 
   set gOA(1) $OATm([expr $nP - 1])
   set gOA(4) [expr int($gOA(1) - $gOA(0) + 1)]
   set pgmOPTS(BegX) $OATm(0) 
   set pgmOPTS(EndX) $OATm([expr $nP - 1])

   set yT(0) 0.0
   TUdataGrid $nP 1 OATm OATm $nP yT yT OALong gLong gNorM gOA
   TUgridFill1D gLong gOA X HM -1 1 gNorM
   TUdataGrid $nP 1 OATm OATm $nP yT yT OALat gLat gNorM gOA
   TUgridFill1D gLat gOA X HM -1 1 gNorM
}
