package provide GEOplot 1.0

proc ReadFUV { oName XX YY VV FF TypE } {
   global RtoD env

   upvar $XX X
   upvar $YY Y
   upvar $VV V
   upvar $FF F

   if [catch {open $oName r} fd] {
      puts stderr "Cannot Open Data File $oName"
      exit
   }

   gets $fd LiNe
   gets $fd LiNe
   set I 0
   while { [gets $fd LiNe] >= 0 } {
       scan $LiNe "%d %d %d %f %f %f %f %f" \
          X($I) Y($I) V($I) GlaT($I) GloN($I) MlaT($I) MloN($I) MlT($I)
       set F($I) $I
       incr I
   }
   
   set EnD $I

   switch -exact -- $TypE {
      GEOGRAPHIC {
         for { set I 0 } { $I < $EnD } { incr I } {
             set X($I) $GloN($I)
	     if { $X($I) > 180.0 } { set X($I) [expr $X($I) - 360.0] } 
             set Y($I) $GlaT($I) 
         }
      }
      MAGNETIC {
         for { set I 0 } { $I < $EnD } { incr I } {
             if { $MlT($I) > 12 } { set MlT($I) [expr $MlT($I) - 24] }
             set X($I) [expr 180.0 * $MlT($I) / 12.0 ]
             set Y($I) $MlaT($I)
         }
      }
   } 

   close $fd
   return $EnD
}
