package provide GEOplot 1.0

# THIS procedure reads in the option file

proc ReadOpts { } {
   global pgmOPTS env

   if [catch {open $pgmOPTS(OptFile) r} fd] {
      puts stderr "UNABLE TO OPEN Option FILE: $pgmOPTS(OptFile)"
      return
   }

   while { [gets $fd line] > 0 } {
      set Ops [split $line '|']
      set entry [lindex $Ops 0]
      set pgmOPTS($entry) [lindex $Ops 1]
   }

   close $fd

   ReLoadMenu
}
