package provide GEOplot 1.0

# THIS procedure reads in the option file

proc SaveOpts { } {
   global pgmOPTS env

   if [catch {open $pgmOPTS(saveM) w} fd] {
      puts stderr "UNABLE TO WRITE TO Menu FILE: $pgmOPTS(saveM)"
      return
   }

   puts $fd CtBl|$pgmOPTS(CtBl)
   puts $fd ScrBgnd|$pgmOPTS(ScrBgnd)
   puts $fd gSca|$pgmOPTS(gSca)
   puts $fd gSmo|$pgmOPTS(gSmo)
   puts $fd cBFMin|$pgmOPTS(cBFMin)
   puts $fd cBFMax|$pgmOPTS(cBFMax)
   puts $fd cBFSca|$pgmOPTS(cBFSca)
   puts $fd cenLNG|$pgmOPTS(cenLNG)
   puts $fd cenLAT|$pgmOPTS(cenLAT)
   puts $fd minLAT|$pgmOPTS(minLAT)
   puts $fd FUVHOME|$pgmOPTS(FUVHOME)
   puts $fd FUVFILE|$pgmOPTS(FUVFILE)
   puts $fd GEOCoSyS|$pgmOPTS(GEOCoSyS)
   puts $fd DMSPsat|$pgmOPTS(DMSPsat)
   if { [string length $pgmOPTS(BegYr)] > 0 } {
      puts $fd BegYr|$pgmOPTS(BegYr)
   }
   if { [string length $pgmOPTS(BegDy)] > 0 } {
      puts $fd BegDy|$pgmOPTS(BegDy)
   }
   if { [string length $pgmOPTS(BegHr)] > 0 } {
      puts $fd BegHr|$pgmOPTS(BegHr)
   }
   if { [string length $pgmOPTS(BegMn)] > 0 } {
      puts $fd BegMn|$pgmOPTS(BegMn)
   }
   if { [string length $pgmOPTS(BegSc)] > 0 } {
      puts $fd BegSc|$pgmOPTS(BegSc)
   }
   if { [string length $pgmOPTS(EndYr)] > 0 } {
      puts $fd EndYr|$pgmOPTS(EndYr)
   }
   if { [string length $pgmOPTS(EndDy)] > 0 } {
      puts $fd EndDy|$pgmOPTS(EndDy)
   }
   if { [string length $pgmOPTS(EndHr)] > 0 } {
      puts $fd EndHr|$pgmOPTS(EndHr)
   }
   if { [string length $pgmOPTS(EndMn)] > 0 } {
      puts $fd EndMn|$pgmOPTS(EndMn)
   }
   if { [string length $pgmOPTS(EndSc)] > 0 } {
      puts $fd EndSc|$pgmOPTS(EndSc)
   }
   if { [string length $pgmOPTS(P0Min)] > 0 } {
      puts $fd P0Min|$pgmOPTS(P0Min)
   }
   if { [string length $pgmOPTS(P0Max)] > 0 } {
      puts $fd P0Max|$pgmOPTS(P0Max)
   }
   puts $fd P0Sca|$pgmOPTS(P0Sca)
   puts $fd Parm1|$pgmOPTS(Parm1)
   if { [string length $pgmOPTS(P1Min)] > 0 } {
      puts $fd P1Min|$pgmOPTS(P1Min)
   }
   if { [string length $pgmOPTS(P1Max)] > 0 } {
      puts $fd P1Max|$pgmOPTS(P1Max)
   }
   puts $fd P1Sca|$pgmOPTS(P1Sca)
   puts $fd P1Sync|$pgmOPTS(P1Sync)
   puts $fd Parm2|$pgmOPTS(Parm2)
   if { [string length $pgmOPTS(P2Min)] > 0 } {
      puts $fd P2Min|$pgmOPTS(P2Min)
   }
   if { [string length $pgmOPTS(P2Max)] > 0 } {
      puts $fd P2Max|$pgmOPTS(P2Max)
   }
   puts $fd P2Sca|$pgmOPTS(P2Sca)
   puts $fd P2Sync|$pgmOPTS(P2Sync)
   puts $fd Parm3|$pgmOPTS(Parm3)
   if { [string length $pgmOPTS(P3Min)] > 0 } {
      puts $fd P3Min|$pgmOPTS(P3Min)
   }
   if { [string length $pgmOPTS(P3Max)] > 0 } {
      puts $fd P3Max|$pgmOPTS(P3Max)
   }
   puts $fd P3Sca|$pgmOPTS(P3Sca)
   puts $fd P3Sync|$pgmOPTS(P3Sync)

   puts $fd IonMin|$pgmOPTS(IonMin)
   puts $fd EleMin|$pgmOPTS(EleMin)

   close $fd
}
