package provide GEOplot 1.0

proc SimIt { EL EH AeV } {
   global pgmOPTS cFC SIeV0 SIeV1

   upvar $EL  eFL
   upvar $EH  eFH

   set sL [SumIt $pgmOPTS(nSI) eFL]
   set sH [SumIt $pgmOPTS(nSI) eFH]
   set aE [expr $AeV / 1000.0]
   if { ($aE >= .47) && ($aE <= 46.7) } { 
      set lE [expr log($aE)]
      set V [expr ($sL + $sH) * exp([TUpolyExp1D $lE $pgmOPTS(nC) cFC])]
   } else { set V 0.1 }

   return [expr $V / 3.0]
}
