package provide GEOplot 1.0

# THIS procedure reads in the option file

proc SyncWithFUV { SyncData HoW } {
   global gFCUT gOA

   upvar $SyncData S
   if [string match SUM $HoW] { set sID 1 } else { set sID 0 }

   set nP $gOA(4)

   set I 0
   while  { $I < $nP } {
      if { $gFCUT($I) < 0.0 } { incr I ; continue } 
      set CnT 1
      set CuR $gFCUT($I)
      set BeG $I
      set SuM $S($I)
      incr I
      while  { $I < $nP } {
         if { $gFCUT($I) == $CuR } {
            set SuM [expr $SuM + $S($I)]
            incr CnT
            incr I
         } else { break }
      }

      if { $sID == 0 } { set SuM [expr $SuM / double($CnT)] }

      for { set J 0; set K $BeG } { $J < $CnT } { incr J ; incr K } { 
         set S($K) $SuM
      }
   }
}
