package provide GEOplot 1.0

# THIS procedure reads in the option file

proc ColorUp { } {
   global pgmOPTS env

   set cInputs(pMIN)      $pgmOPTS(cBFMin)
   set cInputs(pMAX)      $pgmOPTS(cBFMax)
   set cInputs(pSCA)      $pgmOPTS(cBFSca)
   set cInputs(sMIN)      $pgmOPTS(cBFMin)
   set cInputs(sMAX)      $pgmOPTS(cBFMax)
   set cInputs(sSCA)      $pgmOPTS(cBFSca)
   set cInputs(WHITE)     NO
   set cInputs(FMT)       VERTICAL
   set cInputs(POS)       RELATIVE
   set cInputs(ANNOTATE)  YES
   set cInputs(AXIS)      YES
   set cInputs(PRIMARY)   TICMJ:TICMN:ON:ON
   set cInputs(SECONDARY) TICMJ:TICMN:OFF:ON
   set cInputs(PSIZE)     HOLD:HOLD:12:10
   set cInputs(SSIZE)     HOLD:HOLD:12:HOLD
   set cInputs(PFMTS)     HOLD:HOLD:%.0f
   set cInputs(SFMTS)     HOLD:HOLD:%.0f
   set cInputs(LEV)       1.0:1.0
   set cInputs(LABELS)    ":Rayleighs"
                                                                                
   if { $pgmOPTS(nPlots) == 1 } {
      set cB [ColorBar A 0.88 0.6 0.0 0.90 0.9 0.0 cInputs cPRI  cSEC]
   } else {
      set cB [ColorBar A 0.78 0.7 0.0 0.80 0.9 0.0 cInputs cPRI  cSEC]
   }

   set pgmOPTS(cPRI) [list $cPRI(0) $cPRI(1) $cPRI(2) $cPRI(3) $cPRI(4)]
   set pgmOPTS(cSEC) [list $cSEC(0) $cSEC(1) $cSEC(2) $cSEC(3) $cSEC(4)]

   update
}
