package provide GEOplot 1.0

# THIS procedure reads in the option file

proc GridSets { gInFo TyPe } {
   global pgmOPTS PI 

   upvar $gInFo gI

   set gI(0)  -180.0
   set gI(1)  180.0
   set gI(4)  [expr int(128 * $pgmOPTS(gSca))]   
   set gI(5)  [expr int(128 * $pgmOPTS(gSca))]
   set gI(6)  POINT
   set gI(7)  POINT
   set gI(8)  COLUMN     
   set gI(9)  IGNORE     
   set gI(10) NEW:ADD:END
   set gI(11) -1.0        
   set gI(12) -1.0e31
   set gI(13) -1.0e30
   set gI(14) 1.0e30
   set gI(15) NO
   set gI(16) NO

   switch -exact -- $TyPe {
      FULL {
          set gI(2)  -90.0
          set gI(3)  90.0
          set gI(15) YES
      }
      NORTH {
          set gI(2)  0.0
          set gI(3)  90.0
          set gI(15) YES
      }
      SOUTH {
          set gI(2)  -90.0
          set gI(3)  0.0
          set gI(15) YES
      }
      2D {
          set gI(0)  1.0
          set gI(1)  6.0
          set gI(2)  -1.0
          set gI(3)  1.0
          set gI(4)  500
          set gI(5)  1
      }
   }
}
