package provide GEOplot 1.0

# THIS procedure reads in the option file

proc MergeXY { nP gMn gIMn xTrack zTrack { Empty .001 } } {
   global OALat OALong OATm RtoD

   upvar $gMn  G
   upvar $gIMn gI
   upvar $xTrack tX
   upvar $zTrack tZ

   for { set I 0 } { $I < $nP } { incr I } {
      set tX($I) $OATm($I)
      TUgridInfo 0 gI rV $OALong($I) $OALat($I)
      if { $rV(0) >= 0 } {
         if { $G($rV(0)) >= 0.0 } {
           set tZ($I) $G($rV(0))
         } else { set tZ($I) $Empty }
      } else { set tZ($I) $Empty }
   }
}
