package provide GEOplot 1.0

proc PlotGEO { } {
   global pgmOPTS fGrid gGEO gFAKE

   GridSets gGEO $pgmOPTS(gID)
   set nP [ReadFUV [FUVfile] X Y V F $pgmOPTS(GEOCoSyS)] 

   TUgridInfo 30 gGEO vX
   TUgridInfo 31 gGEO vY
   TUdataGrid $nP 1 X X 1 Y Y V fGrid gNorM gGEO

   if [string match YES $pgmOPTS(gSmo)] {
      set fInfo(0) 1
      set fInfo(1) 3
      set fInfo(2) 4
      set fInfo(3) 2
      set fInfo(4) 0
      set fInfo(5) 0
      set fInfo(6) 0
      set fInfo(7) 0
      set fInfo(8) 2.0
      TUgridFill2D fGrid gGEO gNorM fInfo 
   }

   set TmP $gGEO(11)
   set gGEO(11) -1.0
   TUdataGrid $nP 1 X X 1 Y Y F gFAKE gNorM gGEO
   set gGEO(11) $TmP

   SetCorSys $pgmOPTS(mapPROJ) [list $pgmOPTS(cenLNG) $pgmOPTS(cenLAT)]
   for { set I 0 } { $I < 5 } { incr I } {
      set cPRI($I) [lindex $pgmOPTS(cPRI) $I]
   }
   Plot3D 0 Xb Yb vX vY fGrid MANUAL gGEO cPRI

   PlotColor HOLD 255 OFF
   set MapOps(NLATEND)  80.0
   set MapOps(SLATEND) -80.0
   set MapOps(NLNGEND)  80.0
   set MapOps(SLNGEND) -80.0
   set MapOps(DLONG)   30.0
   set MapOps(DLAT)    10.0
   set MapOps(CLIP)    1
   PLTaxisMap 0 MapOps

   SetCorSys CARTESIAN [list 0.0 0.0]
   update
}
