package provide GEOplot 1.0

# THIS puts the User Interface

proc ReLoadMenu { } {
   global pgmOPTS GphInfo env

   if { [winfo exists .fopCTRL] == 0 } { return }

   set Wa  .fopCTRL
   set Wb  .fopOPTS

   set CtOps [GUctblOpts]
   set CtLab ""
   set nCt [llength $CtOps]
   for { set I 0 } { $I < $nCt } { incr I } {
      set AlT [lindex [split [lindex $CtOps $I] '|'] 1 ]
      if {[string compare $AlT $pgmOPTS(CtBl)] == 0 } {
	 $Wb.ct configure -text [lindex [split [lindex $CtOps $I] '|'] 0 ]
         break
      }
   }

   if [string match SWAP $pgmOPTS(ScrBgnd)] {
      set LaB "WHITE BACKGROUND"
   } else { set LaB "BLACK BACKGROUND" }
   $Wb.scrc configure -text  $LaB
   $Wb.hsca configure -text $pgmOPTS(cBFSca)
   $Wb.pfsca configure -text $pgmOPTS(P0Sca)
   $Wb.fcs configure -text $pgmOPTS(GEOCoSyS)
   $Wb.sat configure -text $pgmOPTS(DMSPsat)

   set wID [list a a b c ]
   for { set I 1 } { $I < 4 } { incr I } { 
      set iD [lindex $wID $I] 
      set WiD $Wb.pp$iD
      set LaB [GUIoptsInfo $Wb.pp$iD OPTV $pgmOPTS(Parm$I) ALT PRI]
      set WiD $Wb.pp${iD}sca
      $WiD configure -text $pgmOPTS(P${I}Sca)
      set WiD $Wb.pp${iD}sync
      $WiD configure -text $pgmOPTS(P${I}Sync)
   }

   update
}
